EssenceType (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum EssenceType

- java.lang.Object
- - java.lang.Enum<EssenceType>
  - - tv.amwa.maj.enumeration.EssenceType

- All Implemented Interfaces:
    Serializable, Comparable<EssenceType>

      public enum EssenceType
      extends Enum<EssenceType>

  Specifies the kind of essence data in terms of its relationship with time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Event` Data that is time-oriented but discontinuous or lumpy, such as descriptive metadata.
    `Static` Data that is not time-oriented, for example a static image.
    `Timeline` Continuous data such as audio essence and video essence.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EssenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EssenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Timeline

          public static final EssenceType Timeline

      Continuous data such as audio essence and video essence.

      See Also:
        `TimelineTrack`

    - #### Static

          public static final EssenceType Static

      Data that is not time-oriented, for example a static image.

      See Also:
        `StaticTrack`

    - #### Event

          public static final EssenceType Event

      Data that is time-oriented but discontinuous or lumpy, such as descriptive metadata.

      See Also:
        `EventTrack`

  - ### Method Detail

    - #### values

          public static EssenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EssenceType c : EssenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EssenceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.